Bug 1410224 - add vdsm-client script
Summary: add vdsm-client script
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: General
Version: 4.19.2
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ovirt-4.1.0-beta
: 4.19.2
Assignee: Irit Goihman
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 19:53 UTC by Irit Goihman
Modified: 2017-02-01 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:35:28 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 69571 ovirt-4.1 MERGED vdsm client: add vdsm-client script 2017-01-08 16:05:10 UTC
oVirt gerrit 69575 ovirt-4.1 MERGED vdsm-client: Fix references to jsonrpc 2017-01-08 16:05:40 UTC
oVirt gerrit 69576 ovirt-4.1 MERGED vdsm-client: Remove unused code 2017-01-08 16:06:16 UTC
oVirt gerrit 69577 ovirt-4.1 MERGED vdsm-client: Use passed arguments 2017-01-08 16:06:53 UTC
oVirt gerrit 69578 ovirt-4.1 MERGED vdsm-client: Make executable in the source 2017-01-08 16:09:34 UTC
oVirt gerrit 69579 ovirt-4.1 MERGED vdsm-client: Refine complex argument examples 2017-01-09 19:13:56 UTC

Description Irit Goihman 2017-01-04 19:53:59 UTC
vdsm is shipped with vdsm-client package but the script for invoking the client is missing and should be added.

Comment 1 Jiri Belka 2017-01-27 13:20:32 UTC
ok,

[root@dell-r210ii-13 ~]# rpm -qf `which vdsm-client`
vdsm-client-4.19.3-1.gitdfa4d67.el7.centos.noarch
[root@dell-r210ii-13 ~]# vdsm-client Host getVMList
[
    "092c9721-6e17-40d4-9178-48251e4d2e20"
]


Note You need to log in before you can comment on or make changes to this bug.